gtkmm: Gtk::Stock Namespace Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Functions | Variables
Gtk::Stock Namespace Reference

## Functions
void | add (const Gtk::StockItem& item)
| Add a stock item to the list of registered stock items. More...
bool | lookup (const Gtk::StockID& stock_id, Gtk::StockItem& item)
| Fills item with the registered values for stock_id. More...
bool | lookup (const Gtk::StockID& stock_id, Gtk::IconSet& iconset)
| See IconSet::lookup_default() More...
bool | lookup (const Gtk::StockID& stock_id, Gtk::IconSize size, Gtk::Image& image)
| Receive an Image of the registered stock id with the correct size. More...
Glib::SListHandle< Gtk::StockID, Gtk::StockID_Traits > | get_ids ()
| Retrieves a list of all known stock IDs added to an IconFactory or registered with Stock::add(). More...

## Variables
const Gtk::BuiltinStockID | DIALOG_AUTHENTICATION
const Gtk::BuiltinStockID | DIALOG_INFO
const Gtk::BuiltinStockID | DIALOG_WARNING
const Gtk::BuiltinStockID | DIALOG_ERROR
const Gtk::BuiltinStockID | DIALOG_QUESTION
const Gtk::BuiltinStockID | DND
const Gtk::BuiltinStockID | DND_MULTIPLE
const Gtk::BuiltinStockID | ABOUT
const Gtk::BuiltinStockID | ADD
const Gtk::BuiltinStockID | APPLY
const Gtk::BuiltinStockID | BOLD
const Gtk::BuiltinStockID | CANCEL
const Gtk::BuiltinStockID | CAPS_LOCK_WARNING
const Gtk::BuiltinStockID | CDROM
const Gtk::BuiltinStockID | CLEAR
const Gtk::BuiltinStockID | CLOSE
const Gtk::BuiltinStockID | COLOR_PICKER
const Gtk::BuiltinStockID | CONVERT
const Gtk::BuiltinStockID | CONNECT
const Gtk::BuiltinStockID | COPY
const Gtk::BuiltinStockID | CUT
const Gtk::BuiltinStockID | DELETE
const Gtk::BuiltinStockID | DIRECTORY
const Gtk::BuiltinStockID | DISCARD
const Gtk::BuiltinStockID | DISCONNECT
const Gtk::BuiltinStockID | EDIT
const Gtk::BuiltinStockID | EXECUTE
const Gtk::BuiltinStockID | FILE
const Gtk::BuiltinStockID | FIND
const Gtk::BuiltinStockID | FIND_AND_REPLACE
const Gtk::BuiltinStockID | FLOPPY
const Gtk::BuiltinStockID | FULLSCREEN
const Gtk::BuiltinStockID | LEAVE_FULLSCREEN
const Gtk::BuiltinStockID | GOTO_BOTTOM
const Gtk::BuiltinStockID | GOTO_FIRST
const Gtk::BuiltinStockID | GOTO_LAST
const Gtk::BuiltinStockID | GOTO_TOP
const Gtk::BuiltinStockID | GO_BACK
const Gtk::BuiltinStockID | GO_DOWN
const Gtk::BuiltinStockID | GO_FORWARD
const Gtk::BuiltinStockID | GO_UP
const Gtk::BuiltinStockID | HARDDISK
const Gtk::BuiltinStockID | HELP
const Gtk::BuiltinStockID | HOME
const Gtk::BuiltinStockID | INDEX
const Gtk::BuiltinStockID | INFO
const Gtk::BuiltinStockID | INDENT
const Gtk::BuiltinStockID | UNINDENT
const Gtk::BuiltinStockID | ITALIC
const Gtk::BuiltinStockID | JUMP_TO
const Gtk::BuiltinStockID | JUSTIFY_CENTER
const Gtk::BuiltinStockID | JUSTIFY_FILL
const Gtk::BuiltinStockID | JUSTIFY_LEFT
const Gtk::BuiltinStockID | JUSTIFY_RIGHT
const Gtk::BuiltinStockID | MISSING_IMAGE
const Gtk::BuiltinStockID | MEDIA_FORWARD
const Gtk::BuiltinStockID | MEDIA_NEXT
const Gtk::BuiltinStockID | MEDIA_PAUSE
const Gtk::BuiltinStockID | MEDIA_PLAY
const Gtk::BuiltinStockID | MEDIA_PREVIOUS
const Gtk::BuiltinStockID | MEDIA_RECORD
const Gtk::BuiltinStockID | MEDIA_REWIND
const Gtk::BuiltinStockID | MEDIA_STOP
const Gtk::BuiltinStockID | NETWORK
const Gtk::BuiltinStockID | NEW
const Gtk::BuiltinStockID | NO
const Gtk::BuiltinStockID | OK
const Gtk::BuiltinStockID | OPEN
const Gtk::BuiltinStockID | ORIENTATION_PORTRAIT
const Gtk::BuiltinStockID | ORIENTATION_LANDSCAPE
const Gtk::BuiltinStockID | ORIENTATION_REVERSE_LANDSCAPE
const Gtk::BuiltinStockID | ORIENTATION_REVERSE_PORTRAIT
const Gtk::BuiltinStockID | PASTE
const Gtk::BuiltinStockID | PREFERENCES
const Gtk::BuiltinStockID | PAGE_SETUP
const Gtk::BuiltinStockID | PRINT
const Gtk::BuiltinStockID | PRINT_ERROR
const Gtk::BuiltinStockID | PRINT_PREVIEW
const Gtk::BuiltinStockID | PRINT_REPORT
const Gtk::BuiltinStockID | PRINT_WARNING
const Gtk::BuiltinStockID | PROPERTIES
const Gtk::BuiltinStockID | QUIT
const Gtk::BuiltinStockID | REDO
const Gtk::BuiltinStockID | REFRESH
const Gtk::BuiltinStockID | REMOVE
const Gtk::BuiltinStockID | REVERT_TO_SAVED
const Gtk::BuiltinStockID | SAVE
const Gtk::BuiltinStockID | SAVE_AS
const Gtk::BuiltinStockID | SELECT_ALL
const Gtk::BuiltinStockID | SELECT_COLOR
const Gtk::BuiltinStockID | SELECT_FONT
const Gtk::BuiltinStockID | SORT_ASCENDING
const Gtk::BuiltinStockID | SORT_DESCENDING
const Gtk::BuiltinStockID | SPELL_CHECK
const Gtk::BuiltinStockID | STOP
const Gtk::BuiltinStockID | STRIKETHROUGH
const Gtk::BuiltinStockID | UNDELETE
const Gtk::BuiltinStockID | UNDERLINE
const Gtk::BuiltinStockID | UNDO
const Gtk::BuiltinStockID | YES
const Gtk::BuiltinStockID | ZOOM_100
const Gtk::BuiltinStockID | ZOOM_FIT
const Gtk::BuiltinStockID | ZOOM_IN
const Gtk::BuiltinStockID | ZOOM_OUT

## Function Documentation

void Gtk::Stock::add | ( | const Gtk::StockItem& | item | ) |

Add a stock item to the list of registered stock items.

Parameters

  item | StockItem to register.

If an item already exists with the same stock ID the old item gets replaced.

Glib::SListHandle<Gtk::StockID,Gtk::StockID_Traits> Gtk::Stock::get_ids | ( |  | ) |

Retrieves a list of all known stock IDs added to an IconFactory or registered with Stock::add().

Returns
  list of all known stock IDs.

bool Gtk::Stock::lookup | ( | const Gtk::StockID& | stock_id,
|  | Gtk::StockItem& | item
| ) |  |

Fills item with the registered values for stock_id.

Parameters

  stock_id | StockID to search for.
  item | item to fill in case stockid was found.

Returns
  `true` if the item was found - `false` otherwise.

bool Gtk::Stock::lookup | ( | const Gtk::StockID& | stock_id,
|  | Gtk::IconSet& | iconset
| ) |  |

See IconSet::lookup_default()

Parameters

  stock_id | StockID to search for.
  iconset | to fill.

Returns
  `true` if the item was found - `false` otherwise.

bool Gtk::Stock::lookup | ( | const Gtk::StockID& | stock_id,
|  | Gtk::IconSize | size,
|  | Gtk::Image& | image
| ) |  |

Receive an Image of the registered stock id with the correct size.

Parameters

  stock_id | StockID to search for.
  size | IconSize of the desired Image.
  image | Image to fill.

Returns
  `true` if the item was found - `false` otherwise

## Variable Documentation

const Gtk::BuiltinStockID Gtk::Stock::ABOUT

const Gtk::BuiltinStockID Gtk::Stock::ADD

const Gtk::BuiltinStockID Gtk::Stock::APPLY

const Gtk::BuiltinStockID Gtk::Stock::BOLD

const Gtk::BuiltinStockID Gtk::Stock::CANCEL

const Gtk::BuiltinStockID Gtk::Stock::CAPS_LOCK_WARNING

const Gtk::BuiltinStockID Gtk::Stock::CDROM

const Gtk::BuiltinStockID Gtk::Stock::CLEAR

const Gtk::BuiltinStockID Gtk::Stock::CLOSE

const Gtk::BuiltinStockID Gtk::Stock::COLOR_PICKER

const Gtk::BuiltinStockID Gtk::Stock::CONNECT

const Gtk::BuiltinStockID Gtk::Stock::CONVERT

const Gtk::BuiltinStockID Gtk::Stock::COPY

const Gtk::BuiltinStockID Gtk::Stock::CUT

const Gtk::BuiltinStockID Gtk::Stock::DELETE

const Gtk::BuiltinStockID Gtk::Stock::DIALOG_AUTHENTICATION

const Gtk::BuiltinStockID Gtk::Stock::DIALOG_ERROR

const Gtk::BuiltinStockID Gtk::Stock::DIALOG_INFO

const Gtk::BuiltinStockID Gtk::Stock::DIALOG_QUESTION

const Gtk::BuiltinStockID Gtk::Stock::DIALOG_WARNING

const Gtk::BuiltinStockID Gtk::Stock::DIRECTORY

const Gtk::BuiltinStockID Gtk::Stock::DISCARD

const Gtk::BuiltinStockID Gtk::Stock::DISCONNECT

const Gtk::BuiltinStockID Gtk::Stock::DND

const Gtk::BuiltinStockID Gtk::Stock::DND_MULTIPLE

const Gtk::BuiltinStockID Gtk::Stock::EDIT

const Gtk::BuiltinStockID Gtk::Stock::EXECUTE

const Gtk::BuiltinStockID Gtk::Stock::FILE

const Gtk::BuiltinStockID Gtk::Stock::FIND

const Gtk::BuiltinStockID Gtk::Stock::FIND_AND_REPLACE

const Gtk::BuiltinStockID Gtk::Stock::FLOPPY

const Gtk::BuiltinStockID Gtk::Stock::FULLSCREEN

const Gtk::BuiltinStockID Gtk::Stock::GO_BACK

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::GO_DOWN

const Gtk::BuiltinStockID Gtk::Stock::GO_FORWARD

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::GO_UP

const Gtk::BuiltinStockID Gtk::Stock::GOTO_BOTTOM

const Gtk::BuiltinStockID Gtk::Stock::GOTO_FIRST

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::GOTO_LAST

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::GOTO_TOP

const Gtk::BuiltinStockID Gtk::Stock::HARDDISK

const Gtk::BuiltinStockID Gtk::Stock::HELP

const Gtk::BuiltinStockID Gtk::Stock::HOME

const Gtk::BuiltinStockID Gtk::Stock::INDENT

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::INDEX

const Gtk::BuiltinStockID Gtk::Stock::INFO

const Gtk::BuiltinStockID Gtk::Stock::ITALIC

const Gtk::BuiltinStockID Gtk::Stock::JUMP_TO

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::JUSTIFY_CENTER

const Gtk::BuiltinStockID Gtk::Stock::JUSTIFY_FILL

const Gtk::BuiltinStockID Gtk::Stock::JUSTIFY_LEFT

const Gtk::BuiltinStockID Gtk::Stock::JUSTIFY_RIGHT

const Gtk::BuiltinStockID Gtk::Stock::LEAVE_FULLSCREEN

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_FORWARD

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_NEXT

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_PAUSE

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_PLAY

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_PREVIOUS

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_RECORD

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_REWIND

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::MEDIA_STOP

const Gtk::BuiltinStockID Gtk::Stock::MISSING_IMAGE

const Gtk::BuiltinStockID Gtk::Stock::NETWORK

const Gtk::BuiltinStockID Gtk::Stock::NEW

const Gtk::BuiltinStockID Gtk::Stock::NO

const Gtk::BuiltinStockID Gtk::Stock::OK

const Gtk::BuiltinStockID Gtk::Stock::OPEN

const Gtk::BuiltinStockID Gtk::Stock::ORIENTATION_LANDSCAPE

const Gtk::BuiltinStockID Gtk::Stock::ORIENTATION_PORTRAIT

const Gtk::BuiltinStockID Gtk::Stock::ORIENTATION_REVERSE_LANDSCAPE

const Gtk::BuiltinStockID Gtk::Stock::ORIENTATION_REVERSE_PORTRAIT

const Gtk::BuiltinStockID Gtk::Stock::PAGE_SETUP

const Gtk::BuiltinStockID Gtk::Stock::PASTE

const Gtk::BuiltinStockID Gtk::Stock::PREFERENCES

const Gtk::BuiltinStockID Gtk::Stock::PRINT

const Gtk::BuiltinStockID Gtk::Stock::PRINT_ERROR

const Gtk::BuiltinStockID Gtk::Stock::PRINT_PREVIEW

const Gtk::BuiltinStockID Gtk::Stock::PRINT_REPORT

const Gtk::BuiltinStockID Gtk::Stock::PRINT_WARNING

const Gtk::BuiltinStockID Gtk::Stock::PROPERTIES

const Gtk::BuiltinStockID Gtk::Stock::QUIT

const Gtk::BuiltinStockID Gtk::Stock::REDO

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::REFRESH

const Gtk::BuiltinStockID Gtk::Stock::REMOVE

const Gtk::BuiltinStockID Gtk::Stock::REVERT_TO_SAVED

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::SAVE

const Gtk::BuiltinStockID Gtk::Stock::SAVE_AS

const Gtk::BuiltinStockID Gtk::Stock::SELECT_ALL

const Gtk::BuiltinStockID Gtk::Stock::SELECT_COLOR

const Gtk::BuiltinStockID Gtk::Stock::SELECT_FONT

const Gtk::BuiltinStockID Gtk::Stock::SORT_ASCENDING

const Gtk::BuiltinStockID Gtk::Stock::SORT_DESCENDING

const Gtk::BuiltinStockID Gtk::Stock::SPELL_CHECK

const Gtk::BuiltinStockID Gtk::Stock::STOP

const Gtk::BuiltinStockID Gtk::Stock::STRIKETHROUGH

const Gtk::BuiltinStockID Gtk::Stock::UNDELETE

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::UNDERLINE

const Gtk::BuiltinStockID Gtk::Stock::UNDO

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::UNINDENT

left-to-right languages:

right-to-left languages:

const Gtk::BuiltinStockID Gtk::Stock::YES

const Gtk::BuiltinStockID Gtk::Stock::ZOOM_100

const Gtk::BuiltinStockID Gtk::Stock::ZOOM_FIT

const Gtk::BuiltinStockID Gtk::Stock::ZOOM_IN

const Gtk::BuiltinStockID Gtk::Stock::ZOOM_OUT